Bug 462578 - Printing dialog: untranslated hint and error message for page selection
Summary: Printing dialog: untranslated hint and error message for page selection
Status: RESOLVED FIXED
Alias: None
Product: i18n
Classification: Translations
Component: fr (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KDE Francophone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-12-03 10:50 UTC by yvan
Modified: 2022-12-23 21:51 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description yvan 2022-12-03 10:50:37 UTC
Hi,

When printing from Okular or Kate, there is a field to choose which page should be printed.

- When the mouse cursor is on this field and do not move, a hint appears but is not translated.
- When the user enters a wrong page selection, the error message is also not translated.

Maybe it has already been translated in more recent versions of KDE libs / Qt than the ones I am using, but did not know where to look.

Regards,
Yvan

SOFTWARE/OS VERSIONS
Linux/KDE Plasma:  Debian testing
KDE Plasma Version: KDE 5.26.3
KDE Frameworks Version: 5.100.0
Qt Version: 5.15.6
Comment 1 Jazeix Johnny 2022-12-03 16:25:50 UTC
(In reply to yvan from comment #0)
> Hi,
> 
> When printing from Okular or Kate, there is a field to choose which page
> should be printed.
> 
> - When the mouse cursor is on this field and do not move, a hint appears but
> is not translated.
> - When the user enters a wrong page selection, the error message is also not
> translated.
> 
> Maybe it has already been translated in more recent versions of KDE libs /
> Qt than the ones I am using, but did not know where to look.
> 
> Regards,
> Yvan
> 
> SOFTWARE/OS VERSIONS
> Linux/KDE Plasma:  Debian testing
> KDE Plasma Version: KDE 5.26.3
> KDE Frameworks Version: 5.100.0
> Qt Version: 5.15.6

Hi,
thank you for the report. Do you have the content of the texts in English? It will be easier for us to spot if it is a missing translation or other issue.

Cheers,
Johnny
Comment 2 yvan 2022-12-03 20:08:06 UTC
Of course.

Hint text is: "Specify pages or ranges separated by commas. Ranges are specified by two numbers separated by a hyphen. E.g: 3,5-7,9 prints pages 3,5,6,7 and 9."
In the error window:
- Title is: "Invalid Pages Definition"
- Text is: "<some bad value> does not follow the correct syntax. Please use ',' to separate ranges and pages, '-' to define ranges and make sure ranges do not intersect with each other."
Comment 3 Jazeix Johnny 2022-12-03 20:28:29 UTC
It seems the string is in Qt directly, not in KDE applications: https://codebrowser.dev/qt5/qtbase/src/printsupport/dialogs/qprintdialog_unix.cpp.html and https://codebrowser.dev/qt5/qtbase/src/printsupport/.uic/ui_qprintsettingsoutput.h.html#332

I never contributed to push a change in Qt directly but there are instructions in https://wiki.qt.io/Qt_Localization and https://wiki.qt.io/Qt_Contribution_Guidelines if anyone wants to try (else I'll take a look but I don't guarantee any date...)
Comment 4 Jazeix Johnny 2022-12-06 21:41:11 UTC
Hi,

do you have suggestions for the translation? I propose:
"Invalid Pages Definition" -> "Définition des pages non valable"

"%1 does not follow the correct syntax. Please use « , » to separate ranges and pages, « - » to define ranges and make sure ranges do not intersect with each other." -> "%1 n'a pas une syntaxe autorisée. Veuillez utiliser ',' pour séparer des plages et des pages, '-' pour définir des plages et vérifiez que les plages ne se croisent pas."

"Duplex Settings Conflicts" -> "Conflits dans les pages recto-verso"

"There are conflicts in duplex settings. Do you want to fix them?" -> "Il y a des conflits dans la configuration des pages recto-verso. Voulez-vous les corriger ?"
Comment 5 Jazeix Johnny 2022-12-07 06:45:20 UTC
Thomas suggested:

> "%1 does not follow the correct syntax. Please use « , » to separate ranges
> and pages, « - » to define ranges and make sure ranges do not intersect
> with each other." -> "%1 n'a pas une syntaxe autorisée. Veuillez utiliser
> ',' pour séparer des plages et des pages, '-' pour définir des plages et
> vérifiez que les plages ne se croisent pas."

"%1 est syntaxiquement incorrect. Veuillez utiliser « , » pour séparer les
pages ou les plages de pages, « - » pour définir des plages de pages et
assurez-vous que les plages ne se recouvrent pas."

Looks better to me too so I'll use this. Thanks!
Comment 6 yvan 2022-12-09 13:25:45 UTC
Thanks for the time you already spent on this issue.

You suggestions look good to me, but as you asked for it I would still like to propose improvements. Feel free to use it or not:

1. "Invalid Pages Definition" -> "Définition des pages non valable" -> "Définition des pages non valide". I really prefer "valide" over "valable" in this case but it might be completely subjective. See the following link for an interesting comparison of these words: https://vitrinelinguistique.oqlf.gouv.qc.ca/22917/le-vocabulaire/nuances-semantiques/difference-entre-valable-et-valide

2. "%1 does not follow the correct syntax. Please use « , » to separate ranges and pages, « - » to define ranges and make sure ranges do not intersect with each other." -> "%1 est syntaxiquement incorrect. Veuillez utiliser « , » pour séparer les pages ou les plages de pages, « - » pour définir des plages de pages et assurez-vous que les plages ne se recouvrent pas."
-> in this case, if you use "plage de pages" and not just "plage", you could better use "suite de page" which is easier to read (and we know how much people dislike reading error messages… :-) )

Thanks again,
Yvan
Comment 7 Jazeix Johnny 2022-12-10 10:14:15 UTC
I've started to set up my environment to translate Qt so I'll make the changes. There are a lot of other strings not translated and I probably won't have time to do all of them so I'll see if I can provide a partial translation for now.

(In reply to yvan from comment #6)
> Thanks for the time you already spent on this issue.
> 
> You suggestions look good to me, but as you asked for it I would still like
> to propose improvements. Feel free to use it or not:
> 
> 1. "Invalid Pages Definition" -> "Définition des pages non valable" ->
> "Définition des pages non valide". I really prefer "valide" over "valable"
> in this case but it might be completely subjective. See the following link
> for an interesting comparison of these words:
> https://vitrinelinguistique.oqlf.gouv.qc.ca/22917/le-vocabulaire/nuances-
> semantiques/difference-entre-valable-et-valide
> 

I also personally prefer "valide" but according to https://fr.l10n.kde.org/dict/#divers, we should use "valable". I'm not sure since when the rule is there and what is the reason behind but it could be discussed with the French translation list if needed.

> 2. "%1 does not follow the correct syntax. Please use « , » to separate
> ranges and pages, « - » to define ranges and make sure ranges do not
> intersect with each other." -> "%1 est syntaxiquement incorrect. Veuillez
> utiliser « , » pour séparer les pages ou les plages de pages, « - » pour
> définir des plages de pages et assurez-vous que les plages ne se recouvrent
> pas."
> -> in this case, if you use "plage de pages" and not just "plage", you could
> better use "suite de page" which is easier to read (and we know how much
> people dislike reading error messages… :-) )
> 

From a quick search:
* Ubuntu uses "plage de numéros"
* Microsoft Word and Adobe Acrobat use "étendue de pages"

Ok for "suite de pages"

> Thanks again,
> Yvan
Comment 8 Jazeix Johnny 2022-12-11 11:12:03 UTC
I've done a merge request in Qt: https://codereview.qt-project.org/c/qt/qttranslations/+/447868

As it has been a long time the files were refreshed, it contains more than just these changes.

Can anyone take a look and tell if it is ok or provide some changes to make?

Thanks!
Comment 9 Jazeix Johnny 2022-12-11 11:35:38 UTC
If anyone is interested by translating the remaining strings of Qt, I can provide the po files
Comment 10 yvan 2022-12-12 08:54:57 UTC
(In reply to Jazeix Johnny from comment #8)
> I've done a merge request in Qt:
> https://codereview.qt-project.org/c/qt/qttranslations/+/447868
> 
> As it has been a long time the files were refreshed, it contains more than
> just these changes.
> 
> Can anyone take a look and tell if it is ok or provide some changes to make?
> 
> Thanks!

Thanks for the work you have done. I had a very quick look on your patch, and here are a few things that looked strange to me with corresponding suggestion (note the "…" character that I don’t know if it should be written "&#8230;" or "&#x2026;").:

1. assistant_fr.ts
- 84: driver -> pilote
- 597: Ajouter... -> Ajouter&#8230;
- 876: Filtre&#xa0;: -> Filtré par&#xa0;:
- 1017: Ajouter... -> Ajouter&#8230;

2. qtbase_fr.ts
- 573: Mot de passe : -> Mot de passe&#xa0;
- 2117: Le périphérique n&apos;est pas prête -> Le périphérique n&apos;est pas prêt
- 2462: Le socket n&apos;est pas connecté -> La socket n&apos;est pas connectée
- 3905: >%1 est syntaxiquement incorrect. Veuillez utiliser «&#xa0;,&#xa0;» pour séparer les pages ou les suites de pages, «&#xa0;-&#xa0;» pour définir des suites de pages et assurez-vous que les suites de pages ne se recouvrent pas.
Comment 11 Jazeix Johnny 2022-12-12 22:06:26 UTC
Thank you!

(In reply to yvan from comment #10)
> Thanks for the work you have done. I had a very quick look on your patch,
> and here are a few things that looked strange to me with corresponding
> suggestion (note the "…" character that I don’t know if it should be written
> "&#8230;" or "&#x2026;").:
> 
> 1. assistant_fr.ts
> - 84: driver -> pilote
> - 597: Ajouter... -> Ajouter&#8230;
> - 876: Filtre&#xa0;: -> Filtré par&#xa0;:
> - 1017: Ajouter... -> Ajouter&#8230;
> 

J'ai fait une passe pour remplacer les ... par le bon caractère

> 2. qtbase_fr.ts
> - 573: Mot de passe : -> Mot de passe&#xa0;
> - 2117: Le périphérique n&apos;est pas prête -> Le périphérique n&apos;est
> pas prêt
> - 2462: Le socket n&apos;est pas connecté -> La socket n&apos;est pas
> connectée

C'est masculin (moi aussi je le mettais au féminin avant) ! https://fr.wiktionary.org/wiki/socket
Je vais harmoniser pour utiliser du masculin partout.

> - 3905: >%1 est syntaxiquement incorrect. Veuillez utiliser «&#xa0;,&#xa0;»
> pour séparer les pages ou les suites de pages, «&#xa0;-&#xa0;» pour définir
> des suites de pages et assurez-vous que les suites de pages ne se recouvrent
> pas.

Super, merci, j'ai tout pris en compte et mis à jour la pull request.
Comment 12 Jazeix Johnny 2022-12-13 17:18:53 UTC
I have been asked if people can add reviews or a +1 directly to https://codereview.qt-project.org/c/qt/qttranslations/+/447868.

Can anyone do that? To create an account, it should be "only" the first two steps of https://wiki.qt.io/Qt_Contribution_Guidelines#Creating_Changes_for_Inclusion_Into_Qt
Comment 13 yvan 2022-12-23 18:27:57 UTC
(In reply to Jazeix Johnny from comment #12)
> I have been asked if people can add reviews or a +1 directly to
> https://codereview.qt-project.org/c/qt/qttranslations/+/447868.
> 
> Can anyone do that? To create an account, it should be "only" the first two
> steps of
> https://wiki.qt.io/
> Qt_Contribution_Guidelines#Creating_Changes_for_Inclusion_Into_Qt

If I understand properly, Guillaume Belz has reviewed your pull request, which has been merged. I am late, sorry. Should this KDE bug report be closed?

Thanks again for the work on this,
Yvan
Comment 14 Jazeix Johnny 2022-12-23 21:51:55 UTC
(In reply to yvan from comment #13)
> (In reply to Jazeix Johnny from comment #12)
> > I have been asked if people can add reviews or a +1 directly to
> > https://codereview.qt-project.org/c/qt/qttranslations/+/447868.
> > 
> > Can anyone do that? To create an account, it should be "only" the first two
> > steps of
> > https://wiki.qt.io/
> > Qt_Contribution_Guidelines#Creating_Changes_for_Inclusion_Into_Qt
> 
> If I understand properly, Guillaume Belz has reviewed your pull request,
> which has been merged. I am late, sorry. Should this KDE bug report be
> closed?
> 

Yes, the translation fix has been reviewed and merged. I'm closing the issue in KDE but I don't know when the fix will be applied (if it will be in the next Qt5.15 or only starting Qt6)

> Thanks again for the work on this,
> Yvan

You're welcome!